import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;

const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;

const eyeRadius = 40;
const eyeOffsetX = 80;
const eyeOffsetY = 100;
const mouthWidth = 30;
const mouthRadius = 140;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI * 3 / 2);

console.log(mouthArc())

const Svg = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
    
      // Head
      <circle 
        r={centerY - strokeWidth / 2}
        fill="rgba(12,190,255,0.5)"
        stroke="blue"
        stroke-width={strokeWidth}
      />

      // Left Eye
      <ellipse 
        cx={-eyeOffsetX}
        cy={-eyeOffsetY - 25}
        rx={eyeRadius * 1.3}
        ry={eyeRadius * 2}
        fill="yellow"
      />

      <circle 
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
        fill="rgba(12,10,255,0.85)"
      />

      <ellipse 
        cx={-eyeOffsetX}
        cy={-eyeOffsetY + 3}
        rx={eyeRadius / 1.3}
        ry={eyeRadius / 3}
        fill="orange"
      />
      
      // Right Eye
      <ellipse 
        cx={eyeOffsetX}
        cy={-eyeOffsetY - 25}
        rx={eyeRadius * 1.3}
        ry={eyeRadius * 2}
        fill="yellow"
      />
      
      <circle 
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
        fill="rgba(12,10,255,0.85)"
      />

      <ellipse 
        cx={eyeOffsetX}
        cy={-eyeOffsetY + 3}
        rx={eyeRadius / 1.3}
        ry={eyeRadius / 3}
        fill="orange"
      />
      
      // Nose      
      <rect
        x="-25"
        y="-50"
        width="50"
        height="150"
        fill="rgba(12,10,255,0.85)"
      />
      
      // Mouth
      <path 
        d={mouthArc()}
        fill="rgba(12,10,255,0.85)"
      />

    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<Svg />, rootElement);